package com.caliverse.admin.global.common.exception;

import lombok.Getter;

@Getter
public class RestApiException extends RuntimeException {
    @Getter
    private final int statusCode;
    private final String message;

    public RestApiException(int statusCode, String message) {
        super(message);
        this.statusCode = statusCode;
        this.message = message;
    }

    @Override
    public String getMessage() {
        return message;
    }
}
